Loading...
Searching...
No Matches
max_blk.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for max_blk.h:

Go to the source code of this file.

## Classes

class | gr::blocks::max_blk< T >
| Compares vectors from multiple streams and determines the maximum value from each vector over all streams. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef max_blk< std::int16_t > | gr::blocks::max_ss
typedef max_blk< std::int32_t > | gr::blocks::max_ii
typedef max_blk< float > | gr::blocks::max_ff